microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Parametri del percorso
name
string
necessario
The name of the resource
version
string
necessario
The specific version id of the DatasetVersion to operate on.
Risposte
The request has succeeded.
Corpo
Content-Type: application/json
blobReference
BlobReference
necessario
Blob reference details.
blobUri
string
necessario
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
necessario
ARM ID of the storage account to use.
credential
SasCredential
necessario
SAS Credential definition
sasUri
string
necessario
SAS uri
type
enum
necessario
Type of credential
SAS
Richiedi
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json